---
default_config_files_dir: '../../../../../../default-config'

application_name: "My Search Index"
search_index_metadata_schema_artifact_url: https://gitlab.com/my-schema/-/jobs/artifacts/main/download?job=deploy
elasticsearch_metadata_mapping_file: "{{ default_config_files_dir }}/backend/elasticsearch-mapping.json.j2"
search_index_import_scripts_artifact_url: https://gitlab.com/my-import-scripts/-/jobs/artifacts/main/download?job=deploy

search_index_import_scripts_enabled_sources_py:
  - my-first-source

### BACKEND ###
elasticsearch_metadata_index_alias_name: my_data # main alias; use external
search_index_backend_metadata_field_configuration:
  baseFields:
    resourceIdentifier: id
  options: []

### FRONTEND ###
search_index_frontend_available_languages: ["de", "en"]
search_index_frontend_custom_translations:
  - {path: '{{ default_config_files_dir }}/frontend/translation.json', language: 'de'}
  - {path: '{{ default_config_files_dir }}/frontend/translation.json', language: 'en'}
search_index_frontend_theme_colors: '{"primary": {"main": "#009EE3"}, "secondary": {"main": "#81c784"}}'
search_index_frontend_theme_colors_dark: '{"primary": {"main": "#4BB696"}, "secondary": {"main": "#81c784"}}'
search_index_frontend_field_configuration:  # see Frontend-Readme -> General field configuration
  baseFields:
    title: name
    resourceLink: id
    licenseUrl: license.id
    author: creator.name
  options:
    - dataField: license.id
      defaultDisplayType: licenseGroup
      grouping: "{{ search_index_frontend_license_grouping }}"
      collectOthersInSeparateGroup: true

search_index_frontend_search_configuration:  # see Frontend-Readme -> Search configuration
  searchField:
    dataField:
      - name
      - description
  filters:
    - dataField: myproperty

search_index_frontend_result_card_configuration:  # see Frontend-Readme -> Result Card configuration
  content:
    - field: myproperty

search_index_frontend_detail_page_configuration:  # see Frontend-Readme -> Detail page configuration
  content:
    - field: creator.name
    - field: description
    - field: myproperty
    - field: keywords
      type: chips
    - field: license.id
      type: license
